%define upstream_name    Glib
%define upstream_version 1.251

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the glib-2.x library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
# https://sourceforge.net/project/showfiles.php?group_id=64773&package_id=91217
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
# BUG: we do not hanble exceptions out of Gtk2->main loop
# we should just horribly die in that case
Patch0:     Glib-1.210-exception-trapping.patch

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: glib2-devel >= 2.0.0
BuildRequires: perl-devel
Conflicts:	perl-Gtk2 <= 1
# so that live upgrade doesn't fail in rpmdrake or gurpmi due to running
# with a version older than the one it was compiled for
# (FIXME: should be automatically filled at build time)
Requires:   glib2 => 2.32.0
%description
This module provides perl access to Glib and GLib's GObject libraries.
It is mainly used by perl-GTK2 applications.

Glib is a handy library of portability and utility functions. This C library
is designed to solve some portability problems and provide other useful
functionality which most programs require.

GObject provides a generic type system with inheritance and a powerful signal
system.

Together these libraries are used as the foundation for many of the libraries
that make up the Gnome environment, and are used in many unrelated
projects.

%package doc
Summary:    Glib documentation
Group:      Books/Computer books
BuildArch:  noarch

%description doc
This package contains documentation of the Glib module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p0 -b .ex
find -type d -name CVS | rm -rf 

%build
perl Makefile.PL INSTALLDIRS=vendor
%define _disable_ld_no_undefined 1
%make OPTIMIZE="$RPM_OPT_FLAGS" OTHERLDFLAGS="%{?ldflags}" PERL_ARCHIVE_AFTER="-lpthread"

%check
# disabled due to long time faillures
#%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS LICENSE META.json META.yml MYMETA.yml NEWS README TODO
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}.pm
%{perl_vendorarch}/%{upstream_name}/*.pm
%{perl_vendorarch}/%{upstream_name}/*/*.pm
%{perl_vendorarch}/%{upstream_name}/Install
%{perl_vendorarch}/auto/*

%files doc
%defattr(-, root, root)
%{_mandir}/*/*
%dir %{perl_vendorarch}/%{upstream_name}
%{perl_vendorarch}/%{upstream_name}/*.pod
%{perl_vendorarch}/%{upstream_name}/*/*.pod


%changelog

* Sun Mar 25 2012 tv <tv> 1.251.0-2.mga2
+ Revision: 226446
- bump required version so that live upgrade works after priorty upgrade of
  perl, perl-Glib for rpmdrake or gurpmi (mga#5066)

* Mon Mar 05 2012 jquelin <jquelin> 1.251.0-1.mga2
+ Revision: 218752
- update to 1.251

* Mon Jan 23 2012 tv <tv> 1.250.0-1.mga2
+ Revision: 200394
- new release

* Tue Jan 03 2012 tv <tv> 1.242.0-1.mga2
+ Revision: 190150
- new release

* Mon Nov 21 2011 tv <tv> 1.241.0-1.mga2
+ Revision: 170185
- adjust file list
- new release

* Fri Oct 14 2011 jquelin <jquelin> 1.240.0-1.mga2
+ Revision: 154768
- update to 1.240

* Mon Oct 03 2011 tv <tv> 1.233.0-3.mga2
+ Revision: 151266
- new release
- new release
- drop patch 1 (merged)

  + fwang <fwang>
    - new version 1.232
    - do not link against rpath libperl
    - use system flags

* Sun Jun 12 2011 sander85 <sander85> 1.230.0-9.mga2
+ Revision: 104321
- Rebuild for perl 5.14

* Thu May 26 2011 ennael <ennael> 1.230.0-8.mga1
+ Revision: 100520
- update glib2 version require (#1432)

* Fri Jan 21 2011 jquelin <jquelin> 1.230.0-7.mga1
+ Revision: 30485
- mageia rebuild
- imported package perl-Glib

